# 
# Makefile for Interactive Unix
# $Id: Makefile.isc,v 1.6 1997/03/03 08:23:03 sob Exp $
#
CC     = cc
AR     = ar clq
IFLAGS = -I../src
CFLAGS = -O -Xp -DDEBUG -DISC ${IFLAGS}

SRCS   = fnmatch.c strcasestr.c strsep.c authuser.c ftruncate.c \
	getusershell.c strerror.c snprintf.c
OBJS   = fnmatch.o strcasestr.o strsep.o authuser.o ftruncate.o \
	getusershell.o strerror.o snprintf.o
 
all: $(OBJS)
	-rm -f libsupport.a
	${AR} libsupport.a $(OBJS)

clean:
	-rm -f *.o libsupport.a

ftp.h:
	install -c -m 444 ftp.h /usr/include/arpa

fnmatch.o: fnmatch.c
	${CC} ${CFLAGS} -DHAVE_DIRENT  -c fnmatch.c

getusershell.o: getusershell.c
	${CC} ${CFLAGS} -c getusershell.c

strerror.o: strerror.c
	${CC} ${CFLAGS} -c strerror.c

strdup.o: strdup.c
	${CC} ${CFLAGS} -c strdup.c

strcasestr.o: strcasestr.c
	${CC} ${CFLAGS} -DHAVE_DIRENT -c strcasestr.c

strsep.o: strsep.c
	${CC} ${CFLAGS} -DHAVE_DIRENT -c strsep.c

authuser.o: authuser.c
	${CC} ${CFLAGS} -c authuser.c

ftruncate.o: ftruncate.c
	${CC} ${CFLAGS} -c ftruncate.c

snprintf.o: snprintf.c
	${CC} ${CFLAGS} -c snprintf.c






